> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# banks

> Getting your commercial banks codes with Flick 



## OpenAPI

````yaml /openapi/payouts.json get /merchant/banks
openapi: 3.0.2
info:
  title: Flick Payouts API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Pay Out
    description: Inititating and Verifing of Transfer
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/banks:
    get:
      tags:
        - ''
      summary: banks
      description: 'Getting your commercial banks codes with Flick '
      operationId: Commercial Banks Codes
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankCodesResponse'
        '400':
          description: Error loggin in, please check your login details and try again
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    BankCodesResponse:
      type: object
      properties:
        status:
          type: string
          example: '200'
        data:
          type: array
          items:
            type: object
            properties:
              logo:
                type: string
                example: >-
                  https://qrabaebwebhookbucket.s3.us-east-2.amazonaws.com/vfd.jpg
              slug:
                type: string
                example: VFD
              BankCode:
                type: string
                example: '566'
              country:
                type: string
                example: Nigeria
              active:
                type: string
                example: 'true'
              Name:
                type: string
                example: VFD Microfinance Bank Limited
      example:
        status: '200'
        data:
          - logo: https://qrabaebwebhookbucket.s3.us-east-2.amazonaws.com/vfd.jpg
            slug: VFD
            BankCode: '566'
            country: Nigeria
            active: true
            Name: VFD Microfinance Bank Limited
          - logo: >-
              https://qrabaebwebhookbucket.s3.us-east-2.amazonaws.com/citibank.png
            slug: Citibank Nigeria
            BankCode: '023'
            country: Nigeria
            active: true
            Name: Citibank Nigeria
          - logo: >-
              https://qrabaebwebhookbucket.s3.us-east-2.amazonaws.com/first_bank.png
            slug: First Bank
            BankCode: '011'
            country: Nigeria
            active: true
            Name: First Bank of Nigeria
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.